import csv

with open ('./LWZ_export.csv', encoding="utf8") as input_csv:
    input_reader = csv.reader(input_csv, delimiter=',')
    data = list(input_reader)

heading_row = data[0]

extra_item_index_list = []
for index, heading in enumerate(data[0]):
    if "Another" in heading:
        extra_item_index_list.append(index)

custom_heading_list = ["Length of Reserve", "Full Name", "Course Number", "Course Title"]

item_details = ["Material", "Check out limit", "Author", "1Title"]

custom_heading_index_list = []

for custom_heading in (custom_heading_list + item_details):
    for index, heading in enumerate(data[0]):
        if "2" in heading:
            break
        if custom_heading in heading:
            custom_heading_index_list.append(index)
            break

print(custom_heading_index_list)

output_csv_list = []
output_csv_list.append(custom_heading_list + item_details)

for row in data[1:]:
    new_row = []
    for index in custom_heading_index_list:
        new_row.append(row[index])
    for extra_item in extra_item_index_list:
        if row[extra_item] == "Yes":
            break
    output_csv_list.append(new_row)

with open("./output.csv", "w", encoding="utf8") as output_file:
    write = csv.writer(output_file)
    write.writerows(output_csv_list)

# handle extra item requests